--- src/bin/psql/print.c.orig	Tue Feb 08 22:21:36 2000
+++ src/bin/psql/print.c	Tue Feb 08 22:24:36 2000
@@ -24,7 +24,11 @@
 #include <libpq-fe.h>
 #include <postgres_ext.h>		/* for Oid type */
 
+#ifndef __CYGWIN__
 #define DEFAULT_PAGER "more"
+#else
+#define DEFAULT_PAGER "less"
+#endif
 
 
 
--- src/bin/pg_id/pg_id.c.orig	Tue Feb 08 21:33:45 2000
+++ src/bin/pg_id/pg_id.c	Tue Feb 08 21:34:16 2000
@@ -10,6 +10,9 @@
  */
 #include <c.h>
 
+#ifdef HAVE_GETOPT_H
+#include <getopt.h>
+#endif
 #include <pwd.h>
 #include <stdio.h>
 #include <stdlib.h>
--- src/bin/pg_id/Makefile.orig	Tue Feb 08 21:50:15 2000
+++ src/bin/pg_id/Makefile	Tue Feb 08 21:50:25 2000
@@ -20,7 +20,7 @@
 	$(CC) -o pg_id $(OBJS) $(LDFLAGS)
 
 install: pg_id
-	$(INSTALL) $(INSTL_EXE_OPTS) pg_id$(X) $(BINDIR)/pg_id
+	$(INSTALL) $(INSTL_EXE_OPTS) pg_id$(X) $(BINDIR)/pg_id$(X)
 
 depend dep:
 	$(CC) -MM $(CFLAGS) *.c >depend
--- src/include/port/win.h.orig	Tue Feb 08 21:46:13 2000
+++ src/include/port/win.h	Tue Feb 08 21:45:59 2000
@@ -14,3 +14,6 @@
 #if (CYGWIN_VERSION_API_MAJOR >= 0) && (CYGWIN_VERSION_API_MINOR >= 8)
 #define sys_nerr _sys_nerr
 #endif
+
+/* not exported in readline.h */
+char * filename_completion_function();
